View Issue Details

IDProjectCategoryView StatusLast Update
0000683Far ManagerPlugins API.Panelpublic2011-02-10 22:05
ReporterHaRTAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version2003 SP2
Product Version 
Target VersionFixed in Version3.0 
Summary0000683: Фильтры на не-файловых плагинных панелях
DescriptionФильтры на не-файловых плагинных панелях не меняют состав элементов.

Поскольку у каждого элемента панели есть имя, то хотелось бы, чтобы фильтры по имени всё-таки применялись. К тому же многие плагины в качестве размера, даты-времени и т.п. отображают вполне содержательную информацию, т.ч. и тут фильтры были бы вполне уместны.
Steps To Reproduce1. Открыть панель плагина ProcList, Network, FTP, RegBrowser, ...
2. Включить какой-нибудь очень ограничительный фильтр по имени.
3. Убедиться, что ни один элемент панели не исчез.
TagsNo tags attached.
Build1825

Activities

alexy

2008-12-25 23:21

administrator   bugnote:0002248

Это не баг :) Плагины по дефолту не разрешают фильтровать, и чтоб разрешали плагин должен явно выставить флаг.
В общем надо подумать и может сделать чтоб по дефолту разрешали.

zg

2008-12-26 02:21

developer   bugnote:0002250

с какого перепугу надо что-то менять? есть апи. автор плагина хочет фильтрацию — разрешает, не хочет — не разрешает. зачем плодить кривизну?

alexy

2008-12-26 12:51

administrator   bugnote:0002251

Да потому что мало какой автор о этих фильтрах знает/помнит и подумает включить. Т.е. отключены по дефолту это не очень удачный выбор прошлого.

alexy

2011-02-10 22:05

administrator   bugnote:0006434

drkns сделал в 1825.

Issue History

Date Modified Username Field Change
2008-12-25 22:58 HaRT New Issue
2008-12-25 23:21 alexy Note Added: 0002248
2008-12-26 01:19 alexy Status new => assigned
2008-12-26 01:19 alexy Assigned To => alexy
2008-12-26 02:21 zg Note Added: 0002250
2008-12-26 12:51 alexy Note Added: 0002251
2010-07-12 03:23 alexy Project Far Manager 1.7x => Far Manager
2010-07-12 03:30 alexy Category Filters => Plugins API.Panel
2010-07-12 03:30 alexy Product Version 1.75 =>
2011-02-10 22:05 alexy Build => 1825
2011-02-10 22:05 alexy Note Added: 0006434
2011-02-10 22:05 alexy Status assigned => closed
2011-02-10 22:05 alexy Assigned To alexy => DrKnS
2011-02-10 22:05 alexy Resolution open => fixed
2011-02-10 22:05 alexy Fixed in Version => 3.0